#pragma once
#ifndef OCCT_EXPORTCLASS_H
#define OCCT_EXPORTCLASS_H
#include "AllHead.h"
#include <QDialog>
#include "ui_DialogBatchExport.h"
#include "ui_OcctExportClass.h"
#include "OCCTBaseOperaorClass.h"
#include <QMap>



class OcctExportClass : public QDialog
{
	Q_OBJECT

public:
	OcctExportClass(QWidget *parent = nullptr);
	~OcctExportClass();
	void setDataShape(const TopoDS_Shape& data);
private:
	TopoDS_Shape Datashape;
	QString Filepath;
private:
	Ui::OcctExportClassClass ui;

public slots:
	void ExportButonClick();
	void SaveButonClick();
};




class DialogBatchExport : public QDialog
{
	Q_OBJECT

public:
	DialogBatchExport(QWidget* parent = nullptr);
	~DialogBatchExport();
	void addDataShape(QString name,const TopoDS_Shape& data);
	TopoDS_Shape getMerged();
private:
	QMap<QString,TopoDS_Shape> Datashapelist;
	QString Filepath;
private:
	Ui::DialogBatchExport ui;

public slots:
	void ExportButonClick();
	void SaveButonClick();
};

#endif